メインコンテンツへスキップ
POST
/
v1
/
public
/
accounts
/
{account_id}
/
auth
/
service-accounts
/
{service_account_id}
/
rotate
パブリックアカウントのサービスアカウントトークンをローテーション
curl --request POST \
  --url https://api.hybridbox.io/v1/public/accounts/{account_id}/auth/service-accounts/{service_account_id}/rotate \
  --header 'Authorization: Bearer <token>'
{
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "token": "<string>",
  "token_last4": "<string>",
  "token_prefix": "<string>",
  "token_public_id": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "expires_at": "2023-11-07T05:31:56Z",
  "last_used_at": "2023-11-07T05:31:56Z",
  "revoked_at": "2023-11-07T05:31:56Z",
  "revoked_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Documentation Index

Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt

Use this file to discover all available pages before exploring further.

承認

Authorization
string
header
必須

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

パスパラメータ

service_account_id
string<uuid>
必須
account_id
string<uuid>
必須

レスポンス

account_id
string<uuid>
必須
created_at
string<date-time>
必須
id
string<uuid>
必須
name
string
必須
token
string
必須

平文のベアラートークンです。今すぐ保存してください。二度と返されません。

token_last4
string
必須
token_prefix
string
必須
token_public_id
string
必須
updated_at
string<date-time>
必須
created_by_user_id
string<uuid> | null
expires_at
string<date-time> | null
last_used_at
string<date-time> | null
revoked_at
string<date-time> | null
revoked_by_user_id
string<uuid> | null